modes collections management

understanding collections

Upgrade now to Modes Compete version 1.4

Share with:

Modes Complete 1.4 logo

Modes Complete version 1.4 is available now.
This upgrade is free to all Modes Complete users who have paid for support in the current year.

Why upgrade?

Upgrades keep your software up-to-date, error-free, and aligned with national standards.  This upgrade is particularly significant for compliance with Spectrum 5.0.

What’s new?

Modes Complete version 1.4 is the first UK collections management system to be compliant with Spectrum 5.0, the latest version of the UK collections management standard.  

Technical developments include a new server component ready to support Modes into the 2020s.  And we’ve added lots of features to improve ease of use and data security.  Click here to see the full list of new features in version 1.4.  

How will I receive the upgrade?

Modes Complete 1.4 is available for download from our website.  Please request a download link from Modes Support.  If you already have a username and password for the website, just log on and and follow the links to Software downloads.

How easy is it to install?

The upgrade should be carried out by your IT support or the person usually responsible for installing software in your organisation.

The upgrade will not change your existing records, and no data conversion process is required.

You can upgrade to version 1.4 from either version 1.2 or version 1.3.

Click here to see a technical overview of the installation process

Is there an upgrade for Modes Compact?

We are planning the release of Modes Compact 1.4 early in 2019.  Meanwhile, we value your feedback on what we can improve about Modes Compact.

Which version do I have currently?

You can check your current version in Modes Complete by clicking on Help > About … . 

The Client Version number will be either 1.21.3 or 1.4.  If it shows 1.4, then check the full version number by holding the mouse over the number.
Any version earlier than 1.4.2.26 requires the upgrade.  

If you are running Modes on a network, Server Version: 2.08 or 4.11 indicate that your Modes Server component needs to be upgraded to version 4.5.  

Training

We use Modes Complete version 1.4 for all our training.  To learn about the new features, or to refresh your Modes skills generally, sign up for one of our forthcoming courses.

More information

Contact Modes Support if you have any questions about version 1.4, or download the list of new features or the technical overview.

Other posts